Subject: Announcing CHAT 1.0
From: [email-masked] (Andreas Matthias)
Date: Thu, 1 Sep 1994 16:26:09 GMT
Newsgroups: comp.os.linux.announce

Announcing CHAT 1.0
-------------------

I've uploaded CHAT 1.0, a multiuser chat utility, to 
ftp.gwdg.de and sunsite.unc.edu. 

This version now blocks when no user is talking, so that it does not
use CPU time if nothing is happening. Users of older versions of
CHAT should upgrade to this new version.

I append an lsm-entry and the README of CHAT 1.0 to this mail (if
you don't know if CHAT is for you, see section I of the README below).

Have fun,

Andreas

-------------------------------------------------------------------
Begin3
Title: 		chatd          
Version:    	1.0
Entered-date:   30AUG94
Description:    This program allows up to 15 users (configurable) 
		to connect to a internet socket and communicate 
		together. The users don't need any special software 
		other than telnet(1). Simple to use, private conversation 
		mode supported. Installable by user, no root access needed.
Keywords:       chat, internet, multiuser, talk, chatd
Author:         Andreas Matthias <[email-masked]>
Maintained-by:  Andreas Matthias <[email-masked]>
Primary-site:   ftp.gwdg.de /pub/Linux/misc
Alternate-site: sunsite.unc.edu 
Platform:	Linux, should work on every Unix with INET sockets and
		select()
Copying-policy: GNU GPL
End
-------------------------------------------------------------------

Chat 1.0
--------

I. OVERVIEW (WHY SHOULD I USE IT ?)
-----------------------------------

This program allows up to 15 users (configurable) to connect to a
internet socket and communicate together. The users don't need any
special software other than TELNET.

This package may be preferable to other solutions, because

- the server is installable by any user, not only root
- it is easy and fast to install and get running
- the users that want to chat together don't need any client
  software other than telnet(1). So it takes less than five
  minutes to get a chat line running and to have novice users
  connect to it. The user interface is also very simple
- you may have as many servers as you like running at the same
  time on the same machine (at different ports)
- in future versions special curses and X clients will be added
  that allow font changes and inserting of binary data (pictures
  or sound) into the discussion flow. The server will manage these
  inserts in such a way that telnet(1) will still be usable as an 
  interface, the client software will be optional
- minimal effort is needed to compile the package on Unix systems
  other than Linux (I hope)

II. GETTING STARTED
-------------------

1. Unpack the distribution file into a new subdirectory
2. Edit the path settings in the Makefile
3. Type "make"
4. Start the chat program and give it a free port number
   at the command line. For example, type:
   $ nohup chatd 2001 &
   You may also give CHATD a filename as a third parameter.
   The text file with this name will be displayed to each 
   new user when he or she first connects to CHATD.
5. The users can now telnet to that machine:
   $ telnet hostname.domain.xyz 2001
6. Every new user MUST enter his name with the %name command
   before he or she can participate on a chat
7. Only complete lines (RETURN-terminated) are transmitted
   to the other users
8. The users can exit from the conversation with:
   %exit
   or
   %quit
9. CHATD stays active, even if no users are connected and waits
   for new connections. As of version 1.0 CHATD doesn't use CPU
   time when waiting for the users to type something or for new
   users to log in

II. COMMANDS
------------

CHAT understands a couple of commands. Every command begins with
a '%' character and MUST begin at the first column of a new text
line.

The commands are:

%exit
%quit
	Terminate the CHATD connection and return to the local
	system.

%who
	Show a list of all participants.
	
%p <user>
%p
	Toggle private mode. In the first form, the %p command
	establishes a private connection to a CHAT user. Everything
	you type after this command will be visible only to the
	named user. The second form of the %p command (without a
	user name) returns you to global mode, and everything you
	type afterwards will be visible to all users again.

%?	
	Show current mode. This command tells you if you currently
	are in private or in global mode. If you are in private mode,
	it also tells you to whom you are connected.

%name 	Give yourself a name that will be displayed to the other
	users along with what you type. You MUST use this command
	at least once just after you connect to CHATD.

Thanks to 
	Rolf Krahl <[email-masked]> 
	Christian Holtje <[email-masked]>
	Torsten Werner <[email-masked]>
for help and ideas.

-------------------------------------------------------------------

-- 
Andreas Matthias <[email-masked]>

Zehntenstr.9 
D-37120 Bovenden

Voice: +49/551/81377

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.